/* This program attmail.c created by Delrina and assigned to the attmail session*/
/* runs an automated logon script for connecting to AT&T Mail.                    */

/*	$Revision:   1.2  $  */
/*	$Date:   27 Oct 1995 14:42:48  $  */

/* Define main function, which is always the starting point of C programs. */
/* (The term "void" indicates that the function returns no value.) */
void main()
	{
	/* Declare variables */
	long ScriptHandle;
	int ReturnValue;
	char Buffer[128];

	/* Initialize variables */
	ReturnValue = 0;
	ScriptHandle = 0;

	/* Establish a link between this script program and Delrina WinComm PRO */
	ScriptHandle = dcInitialize(0,0,0,0);

	/* Exit if intialization of link with Delrina WinComm PRO failed */
	if (ScriptHandle == 0) exit();
		
	/* Type two consecutive <Enter> with pauses */
	dcSleep(ScriptHandle, 2197L);
	dcTypeText(ScriptHandle, 0, "\r");
	dcSleep(ScriptHandle, 494L);
	dcTypeText(ScriptHandle, 0, "\r");

	/* Wait for a prompt */
	ReturnValue = dcWaitForPrompt(ScriptHandle, 1, "User Name: ", 300L, 32000L);

	/* Get User Name value from Runtime Values dialog box */
	if (ReturnValue >= 0)
		ReturnValue = dcGetRuntimeValue(ScriptHandle, 1, 1, 128, Buffer);

	/* Type the value */
	if (ReturnValue >= 0)
		ReturnValue = dcTypeText(ScriptHandle, 0, Buffer);

	/* Wait for a prompt */
	if (ReturnValue >= 0)
		ReturnValue = dcWaitForPrompt(ScriptHandle, 1, "assword:", 300L, 32000L);

	/* Get Password value from Runtime Values dialog box */
	if (ReturnValue >= 0)
		ReturnValue = dcGetRuntimeValue(ScriptHandle, 3, 1, 128, Buffer);

	/* Type the value */
	if (ReturnValue >= 0)
		ReturnValue = dcTypeText(ScriptHandle, 0, Buffer);

	/* Terminate link between Delrina WinComm PRO and script program */
	dcTerminate(ScriptHandle, 0);
	}

